WordPress 2.8.1 en préparation…

WordPress 2.8.1 en préparation…

Pas de vacances pour les développeurs de WordPress… à peine la version 2.8 sortie, que les voilà déjà à travailler sur la prochaine mise à jour mineure de notre outil préféré de publication !

Eh oui, comme dans tout projet informatique, on trouve toujours des bugs une fois l’application publiée, et WordPress n’échappent pas à la règle avec la préparation de la version 2.8.1.

Cette dernière est déjà disponible en bêta 1, elle corrige plusieurs bugs dont : (pour le moment, la liste grandit avec le temps)

  • Une correction pour les thèmes utilisant la fonction get_categories(), la fonction buggait dans certains cas… Avec la version 2.8.1,  il ne sera plus nécessaire de modifier son thème 😉
  • Des optimisations sur le tableau de bord de WordPress, et oui avec cette version 2.8, ce dernier consomme beaucoup de mémoire ce qui a eu comme conséquence de provoquer des pages blanches et incomplètes sur les serveurs un peu juste !
  • Une correction sur l’outil de mise à jour automatique, ce dernier effacer accidentellement des fichiers en supprimer les mises à jour échouées.
  • Un problème avec l’éditeur visuel et la compression des JavaScripts sur certains hébergeurs.
  • Sécurisation supplémentaire pour empêcher les actions non désirées de certaines extensions…

Bref, on trouve ici des corrections mineures touchant un faible pourcentage des installations WordPress, donc pas besoin de se presser sur cette bêta si tout fonctionne bien chez vous 🙂

Pour télécharger la version bêta depuis l’outil de mise à jour automatique, vous pouvez consulter la page suivante (en anglais).

9 commentaires

  1. Comme une image

    À noter que la version 2.7 avait tenu un bon moment sans 2.7.1.
    Je crois que je vais donc retarder un peu le passage à la 2.8 (j’attends notamment la mise à jour annoncée de Simple Tags !!)

    Sinon, bug dans le header du site constaté ce soir :
    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, ’email_js’ was given in /home/www/a25d766ec5840d823229f550f69ab1d2/web/wp-includes/plugin.php on line 339

    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, ‘the_ratings_header’ was given in /home/www/a25d766ec5840d823229f550f69ab1d2/web/wp-includes/plugin.php on line 339

  2. arena

    la 2.8 introduit de gros changements dans le code … peu documentés :

    Sous admin, les librairies javascript sont chargées en fin de page, ce qui peut occasionner des erreurs javascripts pour certains plugins.

    Le bug « get_categories » a été introduit par la correction d’un problème de traduction. J’avais identifié le problème « get_categories » (voir tickets #9644 & #9647).

  3. Jyaire

    La sortie est officielle en anglais, j’attends la version française en espérant que ça limitera les plantages en terme de mémoire sur les serveurs Free.
    Merci pour tout le boulot que vous faites, développeurs et traducteurs !

Les commentaires sont fermés